<?php

require( "../inc/conf.inc.php" );
require( "../inc/check.php" );
$login = autorize();
$login = $row['login'];
echo "<title>{$cname}</title>";
echo "<style type=\"text/css\">";
echo "body { margin: auto; max-width: 500px; font: 12px Arial; color: #808080; background-color: #000000; }";
echo "a:link,a:visited { text-decoration: none; color: b0c4db; }";
echo "div { background-color: #202020; border-style:solid; border-width: 1px; }";
echo "img { vertical-align: middle; }";
echo "</style>";
echo "</head>";
echo "<body>";
echo "<div>Настройка системы ВНИМАНИЕ ЭТА ФУНКЦЫЯ В РАЗРАБОТКЕ.</div>";
switch ( $mod )
{
case "a1" :

{
if ($_SESSION['login']==$nickadmina && md5($_SESSION['pass'])==$passadmina)
if ( 5 < $level )
{
$configdata="<?php\r\n".
"$"."mainlink=\"".$_POST[wmainlink]."\"; # Показывать добавление ссылки главной странице\r\n".
"$"."title=\"".$_POST[wtitle]."\"; # Заголовок страниц \r\n".
"$"."textlogo=\"".$_POST[wtextlogo]."\"; # Название, будет отображенно на каждой странице около логотипа\r\n".
"$"."copyright=\"".$_POST[wcopyright]."\"; # Копирайт , будет отображенно внизу на каждой странице\r\n".
"$"."home=\"".$_POST[whome]."\"; # Главная сайта (Слэш \"/\" в конце не ставить!)\r\n".
"$"."logo=\"".$_POST[wlogo]."\"; # Адрес логотипа, вы можете просто заменить саму картинку\r\n".
"$"."portal=\"".$_POST[wportal]."\"; # Если on то, сайт открыт, если off, то сайт закрыт на реконструкцию\r\n".
"$"."offmes=\"".$_POST[woffmes]."\"; # Сообщение если сайт закрыт\r\n#### РАЗНОЕ ####\r\n".


$fp=fopen("../inc/in.php","a+");
flock ($fp,LOCK_EX);
ftruncate ($fp,0);
fputs($fp,$configdata);
fflush ($fp);
flock ($fp,LOCK_UN);
fclose($fp);

header ("location: data.php?id={$id}&amp;pass={$pass}&amp;mod=a1");

}
else
{
echo"Неправильный ввод.<br /><a href=index.php?id={$id}&amp;pass={$pass}>Назад</a><br />";
}

}

break;
////////ГЛАВНАЯ///////
default :
echo"<form method=\"post\" action=\"data.php?id={$id}&amp;pass={$pass}&amp;mod=a1\">";
# Показывать добавление ссылки
echo"<p class=\"b\">Включить добавление ссылки на главной:<br />Да";
if($mainlink=="1"){echo"<input name=\"wmainlink\" type=\"radio\" value=\"1\" / checked />";} else {echo"<input name=\"wmainlink\" type=\"radio\" value=\"1\" />";}
echo" &nbsp; &nbsp; ";
if($mainlink=="0"){echo"<input name=\"wmainlink\" type=\"radio\" value=\"0\" / checked />";} else {echo"<input name=\"wmainlink\" type=\"radio\" value=\"0\" />";}
echo"Нет</p>";
# Заголовок страниц
echo"<p class=\"b\">Заголовок страниц :<br />
<input name=\"wtitle\" maxlength=\"100\" value=\"$title\"/></p>";

# Название
echo"<p class=\"b\">Название:<br />
<input name=\"wtextlogo\" maxlength=\"200\" value=\"$textlogo\"/></p>";

# Копирайт
echo"<p class=\"b\">Копирайт:<br />
<input name=\"wcopyright\" maxlength=\"100\" value=\"$copyright\"/></p>";

# Главная сайта
echo"<p class=\"b\">Главная сайта без слэша в конце:<br />
<input name=\"whome\" maxlength=\"100\" value=\"$home\"/></p>";

# Адрес логотипа
echo"<p class=\"b\">Логотип:<br />
<input name=\"wlogo\" maxlength=\"100\" value=\"$logo\"/></p>";

# Сообщение если сайт закрыт
echo"<p class=\"b\">Сообщение если сайт закрыт:<br />
<input name=\"woffmes\" value=\"$offmes\" /></p>";

# Если on то, сайт открыт, если off, то сайт закрыт на реконструкцию
echo"<p class=\"b\">Включить сайт:<br />Да";
if($portal=="on"){echo"<input name=\"wportal\" type=\"radio\" value=\"on\" checked />";} else {echo"<input name=\"wportal\" type=\"radio\" value=\"on\">";} 	echo" &nbsp; &nbsp; ";
if($portal=="off"){echo"<input name=\"wportal\" type=\"radio\" value=\"off\" checked />";} else {echo"<input name=\"wportal\" type=\"radio\" value=\"off\">";}
echo"Нет</p>";
echo"<p>Разное<br /></p>";

echo"<br /><input value=\"Настроить\" name=\"do\" type=\"submit\"/></form><br />";
print"<p><a href=\"main.php\">В админку</a></p>";



}
echo "<a href=\"../enter.php?id={$id}&amp;pass={$pass}\">Прихожая</a><br/><p>{$ip}</p>";
$end = gettime( );
echo "<p align=\"center\">";
echo "[".round( $end - $mystart, 5 )."]";
echo "</p></body></html>";
mysql_close( $link );
?>